Skip to main content
GET
/
2026-01
/
marketing-solutions
/
advertisers
/
{advertiser-id}
/
coupons
/
{id}
/2026-01/marketing-solutions/advertisers/{advertiser-id}/coupons/{id}
curl --request GET \
  --url https://api.criteo.com/2026-01/marketing-solutions/advertisers/{advertiser-id}/coupons/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.criteo.com/2026-01/marketing-solutions/advertisers/{advertiser-id}/coupons/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.criteo.com/2026-01/marketing-solutions/advertisers/{advertiser-id}/coupons/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "attributes": {
      "adSetId": "<string>",
      "advertiserId": "<string>",
      "author": "<string>",
      "description": "<string>",
      "endDate": "<string>",
      "format": "<string>",
      "id": "<string>",
      "images": [
        {
          "height": 123,
          "slideUrls": [
            "<string>"
          ],
          "width": 123
        }
      ],
      "landingPageUrl": "<string>",
      "name": "<string>",
      "rotationsNumber": 123,
      "showDuration": 123,
      "showEvery": 123,
      "startDate": "<string>",
      "status": "<string>"
    },
    "id": "<string>",
    "type": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

advertiser-id
string
required

The advertiser identifier.

id
string
required

The Coupon identifier to retrieve.

Response

200 - application/json

The found Coupon is returned.

A top-level object that encapsulates a Criteo API response for a single entity.

data
object | null

A class that represents a domain entity exposed by an API.

errors
object[] | null
read-only
warnings
object[] | null
read-only